unit _frmIWSDemo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, VrControls, VrFormShape, Menus, VrScope, ExtCtrls,
  AdvPanel, VrButtons, VrLcd, VrAnalog, StdCtrls, VrThreads, VrBorder,
  vrLedClock;

type
  TfrmIWSDemo = class(TForm)
    VrFormShape: TVrFormShape;
    btnClose: TVrDemoButton;
    btnMeters: TVrShadowButton;
    btnLeds: TVrShadowButton;
    btnSwitches: TVrShadowButton;
    btnScopePanel: TVrShadowButton;
    btnMisc: TVrShadowButton;
    btnMinimize: TVrDemoButton;
    VrBorder: TVrBorder;
    ScrollBox: TScrollBox;
    VrTimer: TVrTimer;
    chkCheckbox: TCheckBox;
    VrLedClock1: TVrLedClock;
    procedure btnCloseClick(Sender: TObject);
    procedure btnMinimizeClick(Sender: TObject);
    procedure btnMetersClick(Sender: TObject);
    procedure btnLedsClick(Sender: TObject);
    procedure btnSwitchesClick(Sender: TObject);
    procedure btnScopePanelClick(Sender: TObject);
    procedure btnMiscClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure chkCheckboxClick(Sender: TObject);
    procedure VrTimerTimer(Sender: TObject);
  private
    { Private-Deklarationen }
    fState: Integer;
    procedure ShowStart;
  public
    { Public-Deklarationen }
  end;

var
  frmIWSDemo: TfrmIWSDemo;

implementation

uses _frmMeters, _frmLeds, _frmSwitches, _frmScope, _frmMisc, _frmStart;

{$R *.dfm}

procedure TfrmIWSDemo.btnCloseClick(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TfrmIWSDemo.btnMinimizeClick(Sender: TObject);
begin
  Application.Minimize
end;

procedure TfrmIWSDemo.btnMetersClick(Sender: TObject);
begin
  frmMeters.Parent := ScrollBox;
  frmMeters.Show;
end;

procedure TfrmIWSDemo.btnLedsClick(Sender: TObject);
begin
  frmLeds.Parent := ScrollBox;
  frmLeds.Show;
end;

procedure TfrmIWSDemo.btnSwitchesClick(Sender: TObject);
begin
  frmSwitches.Parent := ScrollBox;
  frmSwitches.Show;
end;

procedure TfrmIWSDemo.btnScopePanelClick(Sender: TObject);
begin
  frmScope.Parent := ScrollBox;
  frmScope.Show;
end;

procedure TfrmIWSDemo.btnMiscClick(Sender: TObject);
begin
  frmMisc.Parent := ScrollBox;
  frmMisc.Show;
end;

procedure TfrmIWSDemo.FormShow(Sender: TObject);
begin
  ShowStart;
end;

procedure TfrmIWSDemo.chkCheckboxClick(Sender: TObject);
begin
  VrTimer.Enabled := chkCheckbox.Checked;
end;

procedure TfrmIWSDemo.VrTimerTimer(Sender: TObject);
begin
  case fState of
    0: ShowStart;
    1: btnMetersClick(self);
    2: btnLedsClick(self);
    3: btnSwitchesClick(self);
    4: btnScopePanelClick(self);
    5: btnMiscClick(self);
  end;

  Inc(fState);

  if fState = 6 then
    fState := 0;
end;

procedure TfrmIWSDemo.ShowStart;
begin
  frmStart.Parent := ScrollBox;
  frmStart.Show;
end;

end.
